=== debian/changelog ===
gqrx-sdr (2.17.3-1build1) noble; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Oct 2023 08:21:15 -0400

gqrx-sdr (2.17.3-1) unstable; urgency=medium

  * New upstream release.
    Fixed: Delete key shortcut for bookmark removal.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 21 Oct 2023 12:21:10 -0400

gqrx-sdr (2.17.1-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 09 Oct 2023 14:18:36 -0400

gqrx-sdr (2.17-2) unstable; urgency=medium

  * now building with Qt6
  * have debian/rules clean what CMake doesn't (Closes: #1044990)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 03 Oct 2023 19:20:47 -0400

gqrx-sdr (2.17-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 01 Oct 2023 17:00:28 -0400
