=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>=3.2),
               debhelper-compat (= 13),
               gnuradio-dev,
               gr-osmosdr (>=0.2),
               libasound2-dev,
	       libgl-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libsndfile1-dev,
               libvolk-dev | libvolk2-dev,
               portaudio19-dev,
               qt6-base-dev,
               qt6-base-dev-tools,
	       qt6-svg-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://gqrx.dk/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git

Package: gqrx-sdr
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gqrx (<= 2.3.0-0kali4)
Replaces: gqrx (<= 2.3.0-0kali4)
Description: Software defined radio receiver
 Gqrx works with hardware supported by gr-osmosdr, including Funcube
 Dongle, RTL-SDR, Airspy, HackRF, BladeRF, RFSpace, USRP and SoapySDR.
 .
 Gqrx can operate as an AM/FM/SSB receiver with audio output or as an
 FFT-only instrument. The built-in Gqrx AFSK1200 decoder can decode
 and display AX.25 packets.  There are also various hooks for
 interacting with external applications using network sockets.
 .
 Wideband FM mode has mono, stereo, and RDS (Radio Data System) modes.
 Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.
