## gqrx-sdr 2.17.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "17")
-set(${PROJECT_NAME}_PATCH "3")
+set(${PROJECT_NAME}_PATCH "4")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)
@@ -53,11 +53,11 @@
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
-    add_definitions(-Wall)
-    add_definitions(-Wextra)
-    add_definitions(-Wdouble-promotion)
-    add_definitions(-Wno-unused-parameter)
-    add_definitions(-Wsign-compare)
+    add_compile_options(-Wall)
+    add_compile_options(-Wextra)
+    add_compile_options(-Wdouble-promotion)
+    add_compile_options(-Wno-unused-parameter)
+    add_compile_options(-Wsign-compare)
 endif()
 
 if(MSVC)
@@ -231,6 +231,13 @@
     endif()
 endif()
 
+find_program(CCACHE "ccache")
+if(CCACHE)
+    set(CMAKE_C_COMPILER_LAUNCHER ${CCACHE})
+    set(CMAKE_CXX_COMPILER_LAUNCHER ${CCACHE})
+    set(ENV{CCACHE_SLOPPINESS} pch_defines,time_macros)
+endif(CCACHE)
+
 
 # Airspy optimizations that require modified gr-osmosdr
 option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" ON)
