=== debian/changelog ===
gqrx-sdr (2.17.4-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:07 +1100

gqrx-sdr (2.17.4-2build2) noble; urgency=medium

  * No-change rebuild against gnuradio t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 02:39:38 +0100

gqrx-sdr (2.17.4-2build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:52:29 +0000

gqrx-sdr (2.17.4-2) unstable; urgency=medium

  * merge Janitor pull requests:
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.
  * fix volk dependency

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2024 21:59:29 -0500

gqrx-sdr (2.17.4-1) unstable; urgency=medium

  * New upstream release.
    Reply to \get_powerstat to fix wsjtx

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 10 Feb 2024 11:07:31 -0500
