=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: gqrx-sdr
 Section: hamradio
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: cmake (>=3.2),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Build-Depends: cmake,
                debhelper-compat (= 13),
                gnuradio-dev,
-               gr-osmosdr (>=0.2),
+               gr-osmosdr (>= 0.2),
                libasound2-dev,
 	       libgl-dev,
                libjack-jackd2-dev,
                libpulse-dev,
                libqt5svg5-dev,
                libsndfile1-dev,
-               libvolk-dev | libvolk2-dev,
+               libvolk-dev,
                portaudio19-dev,
                qt6-base-dev,
                qt6-base-dev-tools,
 	       qt6-svg-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://gqrx.dk/
+Homepage: https://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
 Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git
