=== debian/changelog ===
gqrx-sdr (2.17.5-1) unstable; urgency=medium

  * New upstream release.
    Fixed: Respond correctly to pipelined remote control commands.
    Fixed: Limit UDP packet size to 1024, for compatibility with netcat.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 18 Apr 2024 19:25:06 -0400
