=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gqrx-sdr
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gnuradio-dev,
