## gqrx-sdr 2.17.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "17")
-set(${PROJECT_NAME}_PATCH "5")
+set(${PROJECT_NAME}_PATCH "6")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)
