=== debian/changelog ===
gqrx-sdr (2.17.6-2) unstable; urgency=medium

  * Add Appstream metainfo announcing HW support (Closes: #1078991)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 Nov 2024 11:58:00 -0500

gqrx-sdr (2.17.6-1) unstable; urgency=medium

  * New upstream release.
  New: Fetch RDS Program Service & RadioText via remote control.
  New: Set and query audio mute via remote control.
  Improved: Save I/Q recording format to settings.
  Improved: Reduced CPU utilization of plot and waterfall display.
  Improved: Display and formatting of RDS data.
  Fixed: Decoding of RDS flags.
  Fixed: Incorrect channel filter offset, for some devices.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 Nov 2024 11:24:15 -0500
