=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                qt6-base-dev,
                qt6-base-dev-tools,
 	       qt6-svg-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
