## gqrx-sdr 2.17.7

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,6 @@
     else()
         add_subdirectory(osxaudio)
     endif()
-    add_definitions(-DGQRX_OS_MACX)
 elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD")
     if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
         add_subdirectory(pulseaudio)
