=== debian/changelog ===
gqrx-sdr (2.17.7-1) unstable; urgency=medium

  * New upstream release. (Closes: #1112976)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 14 Oct 2025 00:19:12 -0400
