=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gqrx-sdr_$1.orig.tar.gz%" \
 https://github.com/gqrx-sdr/gqrx/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
